/*
 * An IR LED must be connected to Arduino PWM pin 3.
 * This code should run on any atmega328 board.
 * This code does not implements the LOW POWER stuff. 
 * 
 * Great library! Thanks to the author.
 * https://github.com/z3t0/Arduino-IRremote
 * I've use the "IRrecord example" to decode the arrow keys and OK button of the TV remote control.
 * 
 */

const int led = 13;    // On board LED just for blinky "It's alive" at the begining of the sketch

//Recorded codes
const long up = 0x20DF02FD;     //up 
const long down = 0x20DF827D;     //down
const long left = 0x20DFE01F;     //left 
const long right = 0x20DF609F;     //right
const long ok = 0x20DF22DD;     // OK

const long test = 0x20DF40BF;

const int d = 110;  // delay between "button presses".

int p = 0;

#include <IRremote.h>

IRsend irsend;

void setup()
{
  pinMode(led, OUTPUT);
}

void loop() {


if (p == 0){     // Run the sequence once. Probably doing all inside "setup()" is the same. 
  p++;


//irsend.sendNEC(test,32); // I use a testing code to debug, VOL+ or CH+, something with on screen feedback.

for(int j = 0; j<=5 ; j++){
  digitalWrite(led,HIGH);
  delay(100);
  digitalWrite(led,LOW);
  delay(100);
  
  }

//irsend.sendNEC(test,32);

irsend.sendNEC(right,32);
delay(200);
irsend.sendNEC(ok,32);  
delay(3000);  // A long delay. The TV must refresh to the next screen.



//****************************
// The keyboard start at the "g" letter.
for(int i = 0; i<=2 ; i++){
irsend.sendNEC(right,32);
delay(d);
}  // These lines goes to the letter "k", first letter of my email address.

irsend.sendNEC(ok,32);  
delay(d);  //Hit the OK button.

//*****************************
irsend.sendNEC(up,32);  
delay(d);  

for(int i = 0; i<=3 ; i++){
irsend.sendNEC(left,32);
delay(d);
}  //r


irsend.sendNEC(ok,32);  
delay(d);  //ok

//****************************

for(int i = 0; i<=2 ; i++){
irsend.sendNEC(right,32);
delay(d);
}  //u

irsend.sendNEC(ok,32);  
delay(d);  //ok

//***************************

for(int i = 0; i<=1 ; i++){
irsend.sendNEC(left,32);
delay(d);
}  
for(int i = 0; i<=1 ; i++){
irsend.sendNEC(down,32);
delay(d);
}  //c

irsend.sendNEC(ok,32);  
delay(d);  //ok
//***************************

irsend.sendNEC(up,32);
delay(d);

irsend.sendNEC(right,32);
delay(d);
//h
irsend.sendNEC(ok,32);  
delay(d);  //ok


for(int i = 0; i<=2 ; i++){
irsend.sendNEC(right,32);
delay(d);
}  
irsend.sendNEC(up,32);  
delay(d);  //o
irsend.sendNEC(ok,32);  
delay(d);  //ok


irsend.sendNEC(up,32);  
delay(d);  


for(int i = 0; i<=3 ; i++){
irsend.sendNEC(left,32);
delay(d);
}  
irsend.sendNEC(ok,32);  
delay(d);  //ok



for(int i = 0; i<=3 ; i++){
irsend.sendNEC(down,32);
delay(130);
}  
irsend.sendNEC(ok,32);  
delay(d);  //ok


for(int i = 0; i<=1 ; i++){
irsend.sendNEC(down,32);
delay(d);
}  
irsend.sendNEC(ok,32);  
delay(d);  //ok
// END OF EMAIL ADDRESS. This sequence writes krucho5@gmail.com
delay(600);  // Another delay, wait screen update.

//********************PASSWORD********************
// Same logic of the email part. Complete here with your password sequence, I delete mine for obvious reasons.
  

  
  
}
}// loop end.


